View Issue Details

IDProjectCategoryView StatusLast Update
0015941LazarusIDEpublic2011-12-01 11:23
ReporterTadeoAssigned ToMaxim Ganetsky 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015941: Mistake in the Help/About box in the Spanish version of Lazarus
DescriptionIn the copying.txt file in the Lazarus directory says that Lazarus is under GPL v2 and a *MODIFIED* version of the LGPL. In the Spanish version of Lazarus v0.9.28.2 beta in Ayuda/Acerca de Lazarus (I don't have seen the English version, but I supose that the corresponding is Help/About Lazarus) somebody is trying to say that Lazarus is not under a *modified* LGPL, because says "Licencia: GPL/LGPL", instead GPLv2 and the *modified* LGPL, and says too that Free Pascal is under "(L)GPL", instead the following:

(Taked a part of [1] 09/Mar/2010 19:45 local time from the bottom of the main page of the site http://www.freepascal.org/
-----------------------[1]----------------
The packages and runtime library [of Free Pascal] come under a modified Library GNU Public License to allow the use of static libraries when creating applications. The compiler source itself comes under the GNU General Public License.
--------------------end of [1]--------------

I think that somebody is trying to cause Fear, uncertainty and doubt
TagsNo tags attached.
Fixed in Revision25621
LazTarget1.0
Widgetset
Attached Files

Activities

Flávio Etrusco (notifications not working)

2010-03-10 18:26

developer   ~0035193

Last edited: 2010-03-10 21:27

First, it's a bit premature to think of FUD - it would be much more probable to be an error in translation.
Second, COPYING.txt states very clearly that Lazarus (the IDE) is GPL, and that LCL is modified LGPL. The About dialog says nothing about the Lazarus license, only about the Free Pascal compiler (which I don't know whether is stated correctly, but the English version also says GPL+LGPL).

Maxim Ganetsky

2010-03-10 23:47

developer   ~0035213

Please try to write more neutral summary, as it makes it easier to work with bugtracker.

Tadeo

2010-03-11 01:01

reporter   ~0035218

Flavio, if you read again the copying.txt, at the bottom, you will find that some IDE files are *exceptions", covered under the *modified* LGPL. I only think that is necesary and a very good idea that somebody puts in the About box of Lazarus the correct legal status of both, Lazarus and the compiler, finally, work together. If somebody wish, I can do that. I'm gonna try to investigate about, but is cool if somebody can send me a mail.

Maxim Ganetsky

2010-05-25 00:49

developer   ~0037951

Last edited: 2010-05-25 00:50

I improved 'About' text wording.

Please close if ok.

Issue History

Date Modified Username Field Change
2010-03-10 03:59 Tadeo New Issue
2010-03-10 18:26 Flávio Etrusco (notifications not working) Note Added: 0035193
2010-03-10 21:27 Flávio Etrusco (notifications not working) Note Edited: 0035193
2010-03-10 23:47 Maxim Ganetsky LazTarget => -
2010-03-10 23:47 Maxim Ganetsky Note Added: 0035213
2010-03-10 23:47 Maxim Ganetsky Summary I think that somebody is trying to cause FUD. A *BIG* mistake in the Help/About box in the Spanish version of Lazarus => Mistake in the Help/About box in the Spanish version of Lazarus
2010-03-11 01:01 Tadeo Note Added: 0035218
2010-03-12 16:02 Vincent Snijders LazTarget - => 1.0
2010-03-12 16:02 Vincent Snijders Status new => acknowledged
2010-03-12 16:02 Vincent Snijders Target Version => 1.0.0
2010-05-25 00:49 Maxim Ganetsky Fixed in Revision => 25621
2010-05-25 00:49 Maxim Ganetsky Status acknowledged => resolved
2010-05-25 00:49 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-05-25 00:49 Maxim Ganetsky Resolution open => fixed
2010-05-25 00:49 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-05-25 00:49 Maxim Ganetsky Note Added: 0037951
2010-05-25 00:50 Maxim Ganetsky Note Edited: 0037951
2011-12-01 11:23 Marc Weustink Status resolved => closed